%global project   felix
%global bundle    org.apache.felix.scr.annotations
Name:          felix-scr-annotations
Version:       1.9.6
Release:       4%{?dist}
Summary:       Annotations for SCR
License:       ASL 2.0
URL:           http://felix.apache.org/
Source0:       http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildRequires: java-devel
BuildRequires: mvn(org.apache.felix:felix-parent)
BuildRequires: mvn(org.apache.felix:org.apache.felix.scr.generator)

BuildRequires: maven-local
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-surefire-plugin
# i dont know which package as missing this required...
BuildRequires: mvn(org.mockito:mockito-all)

%if %{?fedora} == 20
Requires:      mvn(org.apache.felix:org.apache.felix.scr.generator)
%endif

BuildArch:     noarch

%description
Annotations for generating OSGi service descriptors.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%build

%mvn_file :%{bundle} %{project}/%{bundle}
# no test to run
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%if %{?fedora} != 20
%mvn_install
%else

mkdir -p %{buildroot}%{_javadir}/%{project}
install -m 644 target/%{bundle}-%{version}.jar  \
  %{buildroot}%{_javadir}/%{project}/%{bundle}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{project}-%{bundle}.pom
%add_maven_depmap JPP.%{project}-%{bundle}.pom %{project}/%{bundle}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%endif

%if %{?fedora} != 20
%files -f .mfiles
%else
%files
%{_javadir}/%{project}/%{bundle}.jar
%{_mavenpomdir}/JPP.%{project}-%{bundle}.pom
%{_mavendepmapfragdir}/%{name}
%endif
%doc LICENSE NOTICE changelog.txt

%if %{?fedora} != 20
%files javadoc -f .mfiles-javadoc
%else
%files javadoc
%{_javadocdir}/%{name}
%endif
%doc LICENSE NOTICE

%changelog
* Wed Nov 06 2013 gil cattaneo <puntogil@libero.it> 1.9.6-4
- fix requires on F20

* Wed Nov 06 2013 gil cattaneo <puntogil@libero.it> 1.9.6-3
- use manual installation on F20

* Sat Oct 19 2013 gil cattaneo <puntogil@libero.it> 1.9.6-2
- add missing BR mockito

* Thu Aug 29 2013 gil cattaneo <puntogil@libero.it> 1.9.6-1
- update to 1.9.6

* Mon Jun 24 2013 gil cattaneo <puntogil@libero.it> 1.9.4-1
- update to 1.9.4

* Tue Apr 02 2013 gil cattaneo <puntogil@libero.it> 1.9.0-1
- update to 1.9.0

* Mon Jan 21 2013 gil cattaneo <puntogil@libero.it> 1.7.0-1
- initial rpm